List your wantlist
List the releases on your Discogs wantlist.
GET https://cotlet.dev/api/v1/discogs/wantlists
read
Returns the releases you want, with release ID, title and the date added. Pair it with list_release_listings to see what is for sale now.
Parameters
| Name | Type | Description |
|---|---|---|
| page integer | integer | Page number, starting at 1. |
Request
curl https://cotlet.dev/api/v1/discogs/wantlists \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("discogs", "list_wantlist") const result = await cotlet.call('discogs', 'list_wantlist'); cotlet call discogs list_wantlist Example response
{
"wants": [
{
"release_id": 4417820,
"title": "Night Drive / Blue Room",
"added": "2026-08-11"
}
],
"page": 1,
"pages": 1
}